Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.transform.sax
Interface TransformerHandler

All Superinterfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.ext.LexicalHandler

All Known Implementing Classes:
  IdentityTransformerHandler, TransformerHandlerImpl

public interface TransformerHandler
extends org.xml.sax.ContentHandler, org.xml.sax.ext.LexicalHandler, org.xml.sax.DTDHandler

A TransformerHandler listens for SAX ContentHandler parse events and transforms them to a Result.

Method Summary
`java.lang.String` | `getSystemId()` Get the base ID (URI or system ID) from where relative URLs will be resolved.
`Transformer` | `getTransformer()` Get the `Transformer` associated with this handler, which is needed in order to set parameters and output properties.
`void` | `setResult(Result result)` Set the `Result` associated with this `TransformerHandler` to be used for the transformation.
`void` | `setSystemId(java.lang.String systemID)` Set the base ID (URI or system ID) from where relative URLs will be resolved.

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

Methods inherited from interface org.xml.sax.ext.LexicalHandler
`comment, endCDATA, endDTD, endEntity, startCDATA, startDTD, startEntity`

Methods inherited from interface org.xml.sax.DTDHandler
`notationDecl, unparsedEntityDecl`

Method Detail

### setResult

    public void setResult(Result result)
                   throws java.lang.IllegalArgumentException

  Set the `Result` associated with this `TransformerHandler` to be used for the transformation.

  Parameters:
    `result` - A `Result` instance, should not be `null`.``
  Throws:
    `java.lang.IllegalArgumentException` - if result is invalid for some reason.

### setSystemId

    public void setSystemId(java.lang.String systemID)

  Set the base ID (URI or system ID) from where relative URLs will be resolved.

  Parameters:
    `systemID` - Base URI for the source tree.

### getSystemId

    public java.lang.String getSystemId()

  Get the base ID (URI or system ID) from where relative URLs will be resolved.

  Returns:
    The systemID that was set with `setSystemId(java.lang.String)`.

### getTransformer

    public Transformer getTransformer()

  Get the `Transformer` associated with this handler, which is needed in order to set parameters and output properties.

  Returns:
    `Transformer` associated with this `TransformerHandler`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD